Bug 847491 - SELinux is preventing /opt/google/talkplugin/GoogleTalkPlugin from 'name_connect' accesses on the tcp_socket .
SELinux is preventing /opt/google/talkplugin/GoogleTalkPlugin from 'name_conn...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:c8c29a3f88210ff2920704bd999...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-12 03:24 EDT by Bharadwaj M.P.
Modified: 2012-08-27 19:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-27 19:03:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bharadwaj M.P. 2012-08-12 03:24:47 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.5.1-1.fc17.i686.PAE
time:           Sun 12 Aug 2012 12:54:13 PM IST

description:
:SELinux is preventing /opt/google/talkplugin/GoogleTalkPlugin from 'name_connect' accesses on the tcp_socket .
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that GoogleTalkPlugin should be allowed name_connect access on the  tcp_socket by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep GoogleTalkPlugi /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                system_u:object_r:asterisk_port_t:s0
:Target Objects                 [ tcp_socket ]
:Source                        GoogleTalkPlugi
:Source Path                   /opt/google/talkplugin/GoogleTalkPlugin
:Port                          1720
:Host                          (removed)
:Source RPM Packages           google-talkplugin-3.2.4.0-1.i386
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-145.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.5.1-1.fc17.i686.PAE #1 SMP Thu
:                              Aug 9 17:50:53 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    Sun 12 Aug 2012 12:53:28 PM IST
:Last Seen                     Sun 12 Aug 2012 12:53:28 PM IST
:Local ID                      e5e8ed4f-ea63-45b7-a5f8-64f600af0fae
:
:Raw Audit Messages
:type=AVC msg=audit(1344756208.765:64): avc:  denied  { name_connect } for  pid=1731 comm="GoogleTalkPlugi" dest=1720 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:asterisk_port_t:s0 tclass=tcp_socket
:
:
:type=SYSCALL msg=audit(1344756208.765:64): arch=i386 syscall=socketcall success=no exit=EACCES a0=3 a1=b63fc090 a2=95028ec a3=2 items=0 ppid=1 pid=1731 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=GoogleTalkPlugi exe=/opt/google/talkplugin/GoogleTalkPlugin subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: GoogleTalkPlugi,mozilla_plugin_t,asterisk_port_t,tcp_socket,name_connect
:
:audit2allow
:
:#============= mozilla_plugin_t ==============
:allow mozilla_plugin_t asterisk_port_t:tcp_socket name_connect;
:
:audit2allow -R
:
:#============= mozilla_plugin_t ==============
:allow mozilla_plugin_t asterisk_port_t:tcp_socket name_connect;
:
Comment 1 Miroslav Grepl 2012-08-20 03:11:16 EDT
Fixed in selinux-policy-3.10.0-146.fc17
Comment 2 Fedora Update System 2012-08-20 09:09:23 EDT
selinux-policy-3.10.0-146.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-146.fc17
Comment 3 Fedora Update System 2012-08-21 05:50:10 EDT
Package selinux-policy-3.10.0-146.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-146.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12355/selinux-policy-3.10.0-146.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-08-27 19:03:15 EDT
selinux-policy-3.10.0-146.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.